
From: Mikael Pettersson <mikpe@csd.uu.se>

Perfctr sysfs update part 2/4:
- Remove sys_perfctr_info() from x86.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/entry.S  |    5 ++---
 25-akpm/include/asm-i386/unistd.h |   13 ++++++-------
 2 files changed, 8 insertions(+), 10 deletions(-)

diff -puN arch/i386/kernel/entry.S~perfctr-sysfs-update-2-4-x86 arch/i386/kernel/entry.S
--- 25/arch/i386/kernel/entry.S~perfctr-sysfs-update-2-4-x86	2005-04-07 18:33:50.000000000 -0700
+++ 25-akpm/arch/i386/kernel/entry.S	2005-04-07 18:33:50.000000000 -0700
@@ -991,11 +991,10 @@ ENTRY(sys_call_table)
 	.long sys_keyctl
 	.long sys_ioprio_set
 	.long sys_ioprio_get		/* 290 */
-	.long sys_perfctr_info
-	.long sys_vperfctr_open		/* 290 */
+	.long sys_vperfctr_open
 	.long sys_vperfctr_control
 	.long sys_vperfctr_unlink
 	.long sys_vperfctr_iresume
-	.long sys_vperfctr_read
+	.long sys_vperfctr_read		/* 295 */
 
 syscall_table_size=(.-sys_call_table)
diff -puN include/asm-i386/unistd.h~perfctr-sysfs-update-2-4-x86 include/asm-i386/unistd.h
--- 25/include/asm-i386/unistd.h~perfctr-sysfs-update-2-4-x86	2005-04-07 18:33:50.000000000 -0700
+++ 25-akpm/include/asm-i386/unistd.h	2005-04-07 18:33:50.000000000 -0700
@@ -296,14 +296,13 @@
 #define __NR_keyctl		288
 #define __NR_ioprio_set		289
 #define __NR_ioprio_get		290
-#define __NR_perfctr_info	291
-#define __NR_vperfctr_open	(__NR_perfctr_info+1)
-#define __NR_vperfctr_control	(__NR_perfctr_info+2)
-#define __NR_vperfctr_unlink	(__NR_perfctr_info+3)
-#define __NR_vperfctr_iresume	(__NR_perfctr_info+4)
-#define __NR_vperfctr_read	(__NR_perfctr_info+5)
+#define __NR_vperfctr_open	291
+#define __NR_vperfctr_control	(__NR_vperfctr_open+1)
+#define __NR_vperfctr_unlink	(__NR_vperfctr_open+2)
+#define __NR_vperfctr_iresume	(__NR_vperfctr_open+3)
+#define __NR_vperfctr_read	(__NR_vperfctr_open+4)
 
-#define NR_syscalls 297
+#define NR_syscalls 296
 
 /*
  * user-visible error numbers are in the range -1 - -128: see
_
